/**********************************************************
 * @brief Simulation code for Binary Consensus in Anonymous Asynchronous Systems using Coins and Failure Detectors.
 * @date July 2018
 * @author Javier Martín Rueda, javier.martin@upm.es
 * @author José Luis López-Presa, joseluis.llopezp@upm.es
 * @author Ernesto Jiménez, ernes@etsisi.upm.es
 **********************************************************/


#include "Consensus.h"

Consensus::Consensus(unsigned int _numProcesses, int _idProcess) :
	numProcesses(_numProcesses),
	idProcess(_idProcess),
	_debugLevel(false)
{
}


Consensus::~Consensus()
{
}


void Consensus::debug(int level)
{
	_debugLevel = level;
}
